IP subnet calculator
Type an address with its prefix or mask to see the network, its usable range and masks. Split it into smaller subnets, or look up any prefix in the reference tables.
Prefix/20
Addresses2^108
/64 networks2^44
- Network
ff00:5000::/20- First address
ff00:5000::- Last address
ff00:5fff:ffff:ffff:ffff:ffff:ffff:ffff- Addresses
- 324,518,553,658,426,726,783,156,020,576,256 (2^108)
- /64 networks (LANs)
- 17,592,186,044,416 (2^44)
- Full form
ff00:5000:0000:0000:0000:0000:0000:0000- Type
- Multicast ff00::/8
One-to-many traffic; replaces broadcast - Reverse DNS zone
5.0.0.f.f.ip6.arpa
Split into smaller subnets
ff00:5000::/20 makes 4,096 subnets of /32; the first 256 are listed.
| # | Subnet | Last address |
|---|---|---|
| 1 | ff00:5000::/32 | ff00:5000:ffff:ffff:ffff:ffff:ffff:ffff |
| 2 | ff00:5001::/32 | ff00:5001:ffff:ffff:ffff:ffff:ffff:ffff |
| 3 | ff00:5002::/32 | ff00:5002:ffff:ffff:ffff:ffff:ffff:ffff |
| 4 | ff00:5003::/32 | ff00:5003:ffff:ffff:ffff:ffff:ffff:ffff |
| 5 | ff00:5004::/32 | ff00:5004:ffff:ffff:ffff:ffff:ffff:ffff |
| 6 | ff00:5005::/32 | ff00:5005:ffff:ffff:ffff:ffff:ffff:ffff |
| 7 | ff00:5006::/32 | ff00:5006:ffff:ffff:ffff:ffff:ffff:ffff |
| 8 | ff00:5007::/32 | ff00:5007:ffff:ffff:ffff:ffff:ffff:ffff |
| 9 | ff00:5008::/32 | ff00:5008:ffff:ffff:ffff:ffff:ffff:ffff |
| 10 | ff00:5009::/32 | ff00:5009:ffff:ffff:ffff:ffff:ffff:ffff |
| 11 | ff00:500a::/32 | ff00:500a:ffff:ffff:ffff:ffff:ffff:ffff |
| 12 | ff00:500b::/32 | ff00:500b:ffff:ffff:ffff:ffff:ffff:ffff |
| 13 | ff00:500c::/32 | ff00:500c:ffff:ffff:ffff:ffff:ffff:ffff |
| 14 | ff00:500d::/32 | ff00:500d:ffff:ffff:ffff:ffff:ffff:ffff |
| 15 | ff00:500e::/32 | ff00:500e:ffff:ffff:ffff:ffff:ffff:ffff |
| 16 | ff00:500f::/32 | ff00:500f:ffff:ffff:ffff:ffff:ffff:ffff |
| 17 | ff00:5010::/32 | ff00:5010:ffff:ffff:ffff:ffff:ffff:ffff |
| 18 | ff00:5011::/32 | ff00:5011:ffff:ffff:ffff:ffff:ffff:ffff |
| 19 | ff00:5012::/32 | ff00:5012:ffff:ffff:ffff:ffff:ffff:ffff |
| 20 | ff00:5013::/32 | ff00:5013:ffff:ffff:ffff:ffff:ffff:ffff |
| 21 | ff00:5014::/32 | ff00:5014:ffff:ffff:ffff:ffff:ffff:ffff |
| 22 | ff00:5015::/32 | ff00:5015:ffff:ffff:ffff:ffff:ffff:ffff |
| 23 | ff00:5016::/32 | ff00:5016:ffff:ffff:ffff:ffff:ffff:ffff |
| 24 | ff00:5017::/32 | ff00:5017:ffff:ffff:ffff:ffff:ffff:ffff |
| 25 | ff00:5018::/32 | ff00:5018:ffff:ffff:ffff:ffff:ffff:ffff |
| 26 | ff00:5019::/32 | ff00:5019:ffff:ffff:ffff:ffff:ffff:ffff |
| 27 | ff00:501a::/32 | ff00:501a:ffff:ffff:ffff:ffff:ffff:ffff |
| 28 | ff00:501b::/32 | ff00:501b:ffff:ffff:ffff:ffff:ffff:ffff |
| 29 | ff00:501c::/32 | ff00:501c:ffff:ffff:ffff:ffff:ffff:ffff |
| 30 | ff00:501d::/32 | ff00:501d:ffff:ffff:ffff:ffff:ffff:ffff |
| 31 | ff00:501e::/32 | ff00:501e:ffff:ffff:ffff:ffff:ffff:ffff |
| 32 | ff00:501f::/32 | ff00:501f:ffff:ffff:ffff:ffff:ffff:ffff |
| 33 | ff00:5020::/32 | ff00:5020:ffff:ffff:ffff:ffff:ffff:ffff |
| 34 | ff00:5021::/32 | ff00:5021:ffff:ffff:ffff:ffff:ffff:ffff |
| 35 | ff00:5022::/32 | ff00:5022:ffff:ffff:ffff:ffff:ffff:ffff |
| 36 | ff00:5023::/32 | ff00:5023:ffff:ffff:ffff:ffff:ffff:ffff |
| 37 | ff00:5024::/32 | ff00:5024:ffff:ffff:ffff:ffff:ffff:ffff |
| 38 | ff00:5025::/32 | ff00:5025:ffff:ffff:ffff:ffff:ffff:ffff |
| 39 | ff00:5026::/32 | ff00:5026:ffff:ffff:ffff:ffff:ffff:ffff |
| 40 | ff00:5027::/32 | ff00:5027:ffff:ffff:ffff:ffff:ffff:ffff |
| 41 | ff00:5028::/32 | ff00:5028:ffff:ffff:ffff:ffff:ffff:ffff |
| 42 | ff00:5029::/32 | ff00:5029:ffff:ffff:ffff:ffff:ffff:ffff |
| 43 | ff00:502a::/32 | ff00:502a:ffff:ffff:ffff:ffff:ffff:ffff |
| 44 | ff00:502b::/32 | ff00:502b:ffff:ffff:ffff:ffff:ffff:ffff |
| 45 | ff00:502c::/32 | ff00:502c:ffff:ffff:ffff:ffff:ffff:ffff |
| 46 | ff00:502d::/32 | ff00:502d:ffff:ffff:ffff:ffff:ffff:ffff |
| 47 | ff00:502e::/32 | ff00:502e:ffff:ffff:ffff:ffff:ffff:ffff |
| 48 | ff00:502f::/32 | ff00:502f:ffff:ffff:ffff:ffff:ffff:ffff |
| 49 | ff00:5030::/32 | ff00:5030:ffff:ffff:ffff:ffff:ffff:ffff |
| 50 | ff00:5031::/32 | ff00:5031:ffff:ffff:ffff:ffff:ffff:ffff |
| 51 | ff00:5032::/32 | ff00:5032:ffff:ffff:ffff:ffff:ffff:ffff |
| 52 | ff00:5033::/32 | ff00:5033:ffff:ffff:ffff:ffff:ffff:ffff |
| 53 | ff00:5034::/32 | ff00:5034:ffff:ffff:ffff:ffff:ffff:ffff |
| 54 | ff00:5035::/32 | ff00:5035:ffff:ffff:ffff:ffff:ffff:ffff |
| 55 | ff00:5036::/32 | ff00:5036:ffff:ffff:ffff:ffff:ffff:ffff |
| 56 | ff00:5037::/32 | ff00:5037:ffff:ffff:ffff:ffff:ffff:ffff |
| 57 | ff00:5038::/32 | ff00:5038:ffff:ffff:ffff:ffff:ffff:ffff |
| 58 | ff00:5039::/32 | ff00:5039:ffff:ffff:ffff:ffff:ffff:ffff |
| 59 | ff00:503a::/32 | ff00:503a:ffff:ffff:ffff:ffff:ffff:ffff |
| 60 | ff00:503b::/32 | ff00:503b:ffff:ffff:ffff:ffff:ffff:ffff |
| 61 | ff00:503c::/32 | ff00:503c:ffff:ffff:ffff:ffff:ffff:ffff |
| 62 | ff00:503d::/32 | ff00:503d:ffff:ffff:ffff:ffff:ffff:ffff |
| 63 | ff00:503e::/32 | ff00:503e:ffff:ffff:ffff:ffff:ffff:ffff |
| 64 | ff00:503f::/32 | ff00:503f:ffff:ffff:ffff:ffff:ffff:ffff |
| 65 | ff00:5040::/32 | ff00:5040:ffff:ffff:ffff:ffff:ffff:ffff |
| 66 | ff00:5041::/32 | ff00:5041:ffff:ffff:ffff:ffff:ffff:ffff |
| 67 | ff00:5042::/32 | ff00:5042:ffff:ffff:ffff:ffff:ffff:ffff |
| 68 | ff00:5043::/32 | ff00:5043:ffff:ffff:ffff:ffff:ffff:ffff |
| 69 | ff00:5044::/32 | ff00:5044:ffff:ffff:ffff:ffff:ffff:ffff |
| 70 | ff00:5045::/32 | ff00:5045:ffff:ffff:ffff:ffff:ffff:ffff |
| 71 | ff00:5046::/32 | ff00:5046:ffff:ffff:ffff:ffff:ffff:ffff |
| 72 | ff00:5047::/32 | ff00:5047:ffff:ffff:ffff:ffff:ffff:ffff |
| 73 | ff00:5048::/32 | ff00:5048:ffff:ffff:ffff:ffff:ffff:ffff |
| 74 | ff00:5049::/32 | ff00:5049:ffff:ffff:ffff:ffff:ffff:ffff |
| 75 | ff00:504a::/32 | ff00:504a:ffff:ffff:ffff:ffff:ffff:ffff |
| 76 | ff00:504b::/32 | ff00:504b:ffff:ffff:ffff:ffff:ffff:ffff |
| 77 | ff00:504c::/32 | ff00:504c:ffff:ffff:ffff:ffff:ffff:ffff |
| 78 | ff00:504d::/32 | ff00:504d:ffff:ffff:ffff:ffff:ffff:ffff |
| 79 | ff00:504e::/32 | ff00:504e:ffff:ffff:ffff:ffff:ffff:ffff |
| 80 | ff00:504f::/32 | ff00:504f:ffff:ffff:ffff:ffff:ffff:ffff |
| 81 | ff00:5050::/32 | ff00:5050:ffff:ffff:ffff:ffff:ffff:ffff |
| 82 | ff00:5051::/32 | ff00:5051:ffff:ffff:ffff:ffff:ffff:ffff |
| 83 | ff00:5052::/32 | ff00:5052:ffff:ffff:ffff:ffff:ffff:ffff |
| 84 | ff00:5053::/32 | ff00:5053:ffff:ffff:ffff:ffff:ffff:ffff |
| 85 | ff00:5054::/32 | ff00:5054:ffff:ffff:ffff:ffff:ffff:ffff |
| 86 | ff00:5055::/32 | ff00:5055:ffff:ffff:ffff:ffff:ffff:ffff |
| 87 | ff00:5056::/32 | ff00:5056:ffff:ffff:ffff:ffff:ffff:ffff |
| 88 | ff00:5057::/32 | ff00:5057:ffff:ffff:ffff:ffff:ffff:ffff |
| 89 | ff00:5058::/32 | ff00:5058:ffff:ffff:ffff:ffff:ffff:ffff |
| 90 | ff00:5059::/32 | ff00:5059:ffff:ffff:ffff:ffff:ffff:ffff |
| 91 | ff00:505a::/32 | ff00:505a:ffff:ffff:ffff:ffff:ffff:ffff |
| 92 | ff00:505b::/32 | ff00:505b:ffff:ffff:ffff:ffff:ffff:ffff |
| 93 | ff00:505c::/32 | ff00:505c:ffff:ffff:ffff:ffff:ffff:ffff |
| 94 | ff00:505d::/32 | ff00:505d:ffff:ffff:ffff:ffff:ffff:ffff |
| 95 | ff00:505e::/32 | ff00:505e:ffff:ffff:ffff:ffff:ffff:ffff |
| 96 | ff00:505f::/32 | ff00:505f:ffff:ffff:ffff:ffff:ffff:ffff |
| 97 | ff00:5060::/32 | ff00:5060:ffff:ffff:ffff:ffff:ffff:ffff |
| 98 | ff00:5061::/32 | ff00:5061:ffff:ffff:ffff:ffff:ffff:ffff |
| 99 | ff00:5062::/32 | ff00:5062:ffff:ffff:ffff:ffff:ffff:ffff |
| 100 | ff00:5063::/32 | ff00:5063:ffff:ffff:ffff:ffff:ffff:ffff |
| 101 | ff00:5064::/32 | ff00:5064:ffff:ffff:ffff:ffff:ffff:ffff |
| 102 | ff00:5065::/32 | ff00:5065:ffff:ffff:ffff:ffff:ffff:ffff |
| 103 | ff00:5066::/32 | ff00:5066:ffff:ffff:ffff:ffff:ffff:ffff |
| 104 | ff00:5067::/32 | ff00:5067:ffff:ffff:ffff:ffff:ffff:ffff |
| 105 | ff00:5068::/32 | ff00:5068:ffff:ffff:ffff:ffff:ffff:ffff |
| 106 | ff00:5069::/32 | ff00:5069:ffff:ffff:ffff:ffff:ffff:ffff |
| 107 | ff00:506a::/32 | ff00:506a:ffff:ffff:ffff:ffff:ffff:ffff |
| 108 | ff00:506b::/32 | ff00:506b:ffff:ffff:ffff:ffff:ffff:ffff |
| 109 | ff00:506c::/32 | ff00:506c:ffff:ffff:ffff:ffff:ffff:ffff |
| 110 | ff00:506d::/32 | ff00:506d:ffff:ffff:ffff:ffff:ffff:ffff |
| 111 | ff00:506e::/32 | ff00:506e:ffff:ffff:ffff:ffff:ffff:ffff |
| 112 | ff00:506f::/32 | ff00:506f:ffff:ffff:ffff:ffff:ffff:ffff |
| 113 | ff00:5070::/32 | ff00:5070:ffff:ffff:ffff:ffff:ffff:ffff |
| 114 | ff00:5071::/32 | ff00:5071:ffff:ffff:ffff:ffff:ffff:ffff |
| 115 | ff00:5072::/32 | ff00:5072:ffff:ffff:ffff:ffff:ffff:ffff |
| 116 | ff00:5073::/32 | ff00:5073:ffff:ffff:ffff:ffff:ffff:ffff |
| 117 | ff00:5074::/32 | ff00:5074:ffff:ffff:ffff:ffff:ffff:ffff |
| 118 | ff00:5075::/32 | ff00:5075:ffff:ffff:ffff:ffff:ffff:ffff |
| 119 | ff00:5076::/32 | ff00:5076:ffff:ffff:ffff:ffff:ffff:ffff |
| 120 | ff00:5077::/32 | ff00:5077:ffff:ffff:ffff:ffff:ffff:ffff |
| 121 | ff00:5078::/32 | ff00:5078:ffff:ffff:ffff:ffff:ffff:ffff |
| 122 | ff00:5079::/32 | ff00:5079:ffff:ffff:ffff:ffff:ffff:ffff |
| 123 | ff00:507a::/32 | ff00:507a:ffff:ffff:ffff:ffff:ffff:ffff |
| 124 | ff00:507b::/32 | ff00:507b:ffff:ffff:ffff:ffff:ffff:ffff |
| 125 | ff00:507c::/32 | ff00:507c:ffff:ffff:ffff:ffff:ffff:ffff |
| 126 | ff00:507d::/32 | ff00:507d:ffff:ffff:ffff:ffff:ffff:ffff |
| 127 | ff00:507e::/32 | ff00:507e:ffff:ffff:ffff:ffff:ffff:ffff |
| 128 | ff00:507f::/32 | ff00:507f:ffff:ffff:ffff:ffff:ffff:ffff |
| 129 | ff00:5080::/32 | ff00:5080:ffff:ffff:ffff:ffff:ffff:ffff |
| 130 | ff00:5081::/32 | ff00:5081:ffff:ffff:ffff:ffff:ffff:ffff |
| 131 | ff00:5082::/32 | ff00:5082:ffff:ffff:ffff:ffff:ffff:ffff |
| 132 | ff00:5083::/32 | ff00:5083:ffff:ffff:ffff:ffff:ffff:ffff |
| 133 | ff00:5084::/32 | ff00:5084:ffff:ffff:ffff:ffff:ffff:ffff |
| 134 | ff00:5085::/32 | ff00:5085:ffff:ffff:ffff:ffff:ffff:ffff |
| 135 | ff00:5086::/32 | ff00:5086:ffff:ffff:ffff:ffff:ffff:ffff |
| 136 | ff00:5087::/32 | ff00:5087:ffff:ffff:ffff:ffff:ffff:ffff |
| 137 | ff00:5088::/32 | ff00:5088:ffff:ffff:ffff:ffff:ffff:ffff |
| 138 | ff00:5089::/32 | ff00:5089:ffff:ffff:ffff:ffff:ffff:ffff |
| 139 | ff00:508a::/32 | ff00:508a:ffff:ffff:ffff:ffff:ffff:ffff |
| 140 | ff00:508b::/32 | ff00:508b:ffff:ffff:ffff:ffff:ffff:ffff |
| 141 | ff00:508c::/32 | ff00:508c:ffff:ffff:ffff:ffff:ffff:ffff |
| 142 | ff00:508d::/32 | ff00:508d:ffff:ffff:ffff:ffff:ffff:ffff |
| 143 | ff00:508e::/32 | ff00:508e:ffff:ffff:ffff:ffff:ffff:ffff |
| 144 | ff00:508f::/32 | ff00:508f:ffff:ffff:ffff:ffff:ffff:ffff |
| 145 | ff00:5090::/32 | ff00:5090:ffff:ffff:ffff:ffff:ffff:ffff |
| 146 | ff00:5091::/32 | ff00:5091:ffff:ffff:ffff:ffff:ffff:ffff |
| 147 | ff00:5092::/32 | ff00:5092:ffff:ffff:ffff:ffff:ffff:ffff |
| 148 | ff00:5093::/32 | ff00:5093:ffff:ffff:ffff:ffff:ffff:ffff |
| 149 | ff00:5094::/32 | ff00:5094:ffff:ffff:ffff:ffff:ffff:ffff |
| 150 | ff00:5095::/32 | ff00:5095:ffff:ffff:ffff:ffff:ffff:ffff |
| 151 | ff00:5096::/32 | ff00:5096:ffff:ffff:ffff:ffff:ffff:ffff |
| 152 | ff00:5097::/32 | ff00:5097:ffff:ffff:ffff:ffff:ffff:ffff |
| 153 | ff00:5098::/32 | ff00:5098:ffff:ffff:ffff:ffff:ffff:ffff |
| 154 | ff00:5099::/32 | ff00:5099:ffff:ffff:ffff:ffff:ffff:ffff |
| 155 | ff00:509a::/32 | ff00:509a:ffff:ffff:ffff:ffff:ffff:ffff |
| 156 | ff00:509b::/32 | ff00:509b:ffff:ffff:ffff:ffff:ffff:ffff |
| 157 | ff00:509c::/32 | ff00:509c:ffff:ffff:ffff:ffff:ffff:ffff |
| 158 | ff00:509d::/32 | ff00:509d:ffff:ffff:ffff:ffff:ffff:ffff |
| 159 | ff00:509e::/32 | ff00:509e:ffff:ffff:ffff:ffff:ffff:ffff |
| 160 | ff00:509f::/32 | ff00:509f:ffff:ffff:ffff:ffff:ffff:ffff |
| 161 | ff00:50a0::/32 | ff00:50a0:ffff:ffff:ffff:ffff:ffff:ffff |
| 162 | ff00:50a1::/32 | ff00:50a1:ffff:ffff:ffff:ffff:ffff:ffff |
| 163 | ff00:50a2::/32 | ff00:50a2:ffff:ffff:ffff:ffff:ffff:ffff |
| 164 | ff00:50a3::/32 | ff00:50a3:ffff:ffff:ffff:ffff:ffff:ffff |
| 165 | ff00:50a4::/32 | ff00:50a4:ffff:ffff:ffff:ffff:ffff:ffff |
| 166 | ff00:50a5::/32 | ff00:50a5:ffff:ffff:ffff:ffff:ffff:ffff |
| 167 | ff00:50a6::/32 | ff00:50a6:ffff:ffff:ffff:ffff:ffff:ffff |
| 168 | ff00:50a7::/32 | ff00:50a7:ffff:ffff:ffff:ffff:ffff:ffff |
| 169 | ff00:50a8::/32 | ff00:50a8:ffff:ffff:ffff:ffff:ffff:ffff |
| 170 | ff00:50a9::/32 | ff00:50a9:ffff:ffff:ffff:ffff:ffff:ffff |
| 171 | ff00:50aa::/32 | ff00:50aa:ffff:ffff:ffff:ffff:ffff:ffff |
| 172 | ff00:50ab::/32 | ff00:50ab:ffff:ffff:ffff:ffff:ffff:ffff |
| 173 | ff00:50ac::/32 | ff00:50ac:ffff:ffff:ffff:ffff:ffff:ffff |
| 174 | ff00:50ad::/32 | ff00:50ad:ffff:ffff:ffff:ffff:ffff:ffff |
| 175 | ff00:50ae::/32 | ff00:50ae:ffff:ffff:ffff:ffff:ffff:ffff |
| 176 | ff00:50af::/32 | ff00:50af:ffff:ffff:ffff:ffff:ffff:ffff |
| 177 | ff00:50b0::/32 | ff00:50b0:ffff:ffff:ffff:ffff:ffff:ffff |
| 178 | ff00:50b1::/32 | ff00:50b1:ffff:ffff:ffff:ffff:ffff:ffff |
| 179 | ff00:50b2::/32 | ff00:50b2:ffff:ffff:ffff:ffff:ffff:ffff |
| 180 | ff00:50b3::/32 | ff00:50b3:ffff:ffff:ffff:ffff:ffff:ffff |
| 181 | ff00:50b4::/32 | ff00:50b4:ffff:ffff:ffff:ffff:ffff:ffff |
| 182 | ff00:50b5::/32 | ff00:50b5:ffff:ffff:ffff:ffff:ffff:ffff |
| 183 | ff00:50b6::/32 | ff00:50b6:ffff:ffff:ffff:ffff:ffff:ffff |
| 184 | ff00:50b7::/32 | ff00:50b7:ffff:ffff:ffff:ffff:ffff:ffff |
| 185 | ff00:50b8::/32 | ff00:50b8:ffff:ffff:ffff:ffff:ffff:ffff |
| 186 | ff00:50b9::/32 | ff00:50b9:ffff:ffff:ffff:ffff:ffff:ffff |
| 187 | ff00:50ba::/32 | ff00:50ba:ffff:ffff:ffff:ffff:ffff:ffff |
| 188 | ff00:50bb::/32 | ff00:50bb:ffff:ffff:ffff:ffff:ffff:ffff |
| 189 | ff00:50bc::/32 | ff00:50bc:ffff:ffff:ffff:ffff:ffff:ffff |
| 190 | ff00:50bd::/32 | ff00:50bd:ffff:ffff:ffff:ffff:ffff:ffff |
| 191 | ff00:50be::/32 | ff00:50be:ffff:ffff:ffff:ffff:ffff:ffff |
| 192 | ff00:50bf::/32 | ff00:50bf:ffff:ffff:ffff:ffff:ffff:ffff |
| 193 | ff00:50c0::/32 | ff00:50c0:ffff:ffff:ffff:ffff:ffff:ffff |
| 194 | ff00:50c1::/32 | ff00:50c1:ffff:ffff:ffff:ffff:ffff:ffff |
| 195 | ff00:50c2::/32 | ff00:50c2:ffff:ffff:ffff:ffff:ffff:ffff |
| 196 | ff00:50c3::/32 | ff00:50c3:ffff:ffff:ffff:ffff:ffff:ffff |
| 197 | ff00:50c4::/32 | ff00:50c4:ffff:ffff:ffff:ffff:ffff:ffff |
| 198 | ff00:50c5::/32 | ff00:50c5:ffff:ffff:ffff:ffff:ffff:ffff |
| 199 | ff00:50c6::/32 | ff00:50c6:ffff:ffff:ffff:ffff:ffff:ffff |
| 200 | ff00:50c7::/32 | ff00:50c7:ffff:ffff:ffff:ffff:ffff:ffff |
| 201 | ff00:50c8::/32 | ff00:50c8:ffff:ffff:ffff:ffff:ffff:ffff |
| 202 | ff00:50c9::/32 | ff00:50c9:ffff:ffff:ffff:ffff:ffff:ffff |
| 203 | ff00:50ca::/32 | ff00:50ca:ffff:ffff:ffff:ffff:ffff:ffff |
| 204 | ff00:50cb::/32 | ff00:50cb:ffff:ffff:ffff:ffff:ffff:ffff |
| 205 | ff00:50cc::/32 | ff00:50cc:ffff:ffff:ffff:ffff:ffff:ffff |
| 206 | ff00:50cd::/32 | ff00:50cd:ffff:ffff:ffff:ffff:ffff:ffff |
| 207 | ff00:50ce::/32 | ff00:50ce:ffff:ffff:ffff:ffff:ffff:ffff |
| 208 | ff00:50cf::/32 | ff00:50cf:ffff:ffff:ffff:ffff:ffff:ffff |
| 209 | ff00:50d0::/32 | ff00:50d0:ffff:ffff:ffff:ffff:ffff:ffff |
| 210 | ff00:50d1::/32 | ff00:50d1:ffff:ffff:ffff:ffff:ffff:ffff |
| 211 | ff00:50d2::/32 | ff00:50d2:ffff:ffff:ffff:ffff:ffff:ffff |
| 212 | ff00:50d3::/32 | ff00:50d3:ffff:ffff:ffff:ffff:ffff:ffff |
| 213 | ff00:50d4::/32 | ff00:50d4:ffff:ffff:ffff:ffff:ffff:ffff |
| 214 | ff00:50d5::/32 | ff00:50d5:ffff:ffff:ffff:ffff:ffff:ffff |
| 215 | ff00:50d6::/32 | ff00:50d6:ffff:ffff:ffff:ffff:ffff:ffff |
| 216 | ff00:50d7::/32 | ff00:50d7:ffff:ffff:ffff:ffff:ffff:ffff |
| 217 | ff00:50d8::/32 | ff00:50d8:ffff:ffff:ffff:ffff:ffff:ffff |
| 218 | ff00:50d9::/32 | ff00:50d9:ffff:ffff:ffff:ffff:ffff:ffff |
| 219 | ff00:50da::/32 | ff00:50da:ffff:ffff:ffff:ffff:ffff:ffff |
| 220 | ff00:50db::/32 | ff00:50db:ffff:ffff:ffff:ffff:ffff:ffff |
| 221 | ff00:50dc::/32 | ff00:50dc:ffff:ffff:ffff:ffff:ffff:ffff |
| 222 | ff00:50dd::/32 | ff00:50dd:ffff:ffff:ffff:ffff:ffff:ffff |
| 223 | ff00:50de::/32 | ff00:50de:ffff:ffff:ffff:ffff:ffff:ffff |
| 224 | ff00:50df::/32 | ff00:50df:ffff:ffff:ffff:ffff:ffff:ffff |
| 225 | ff00:50e0::/32 | ff00:50e0:ffff:ffff:ffff:ffff:ffff:ffff |
| 226 | ff00:50e1::/32 | ff00:50e1:ffff:ffff:ffff:ffff:ffff:ffff |
| 227 | ff00:50e2::/32 | ff00:50e2:ffff:ffff:ffff:ffff:ffff:ffff |
| 228 | ff00:50e3::/32 | ff00:50e3:ffff:ffff:ffff:ffff:ffff:ffff |
| 229 | ff00:50e4::/32 | ff00:50e4:ffff:ffff:ffff:ffff:ffff:ffff |
| 230 | ff00:50e5::/32 | ff00:50e5:ffff:ffff:ffff:ffff:ffff:ffff |
| 231 | ff00:50e6::/32 | ff00:50e6:ffff:ffff:ffff:ffff:ffff:ffff |
| 232 | ff00:50e7::/32 | ff00:50e7:ffff:ffff:ffff:ffff:ffff:ffff |
| 233 | ff00:50e8::/32 | ff00:50e8:ffff:ffff:ffff:ffff:ffff:ffff |
| 234 | ff00:50e9::/32 | ff00:50e9:ffff:ffff:ffff:ffff:ffff:ffff |
| 235 | ff00:50ea::/32 | ff00:50ea:ffff:ffff:ffff:ffff:ffff:ffff |
| 236 | ff00:50eb::/32 | ff00:50eb:ffff:ffff:ffff:ffff:ffff:ffff |
| 237 | ff00:50ec::/32 | ff00:50ec:ffff:ffff:ffff:ffff:ffff:ffff |
| 238 | ff00:50ed::/32 | ff00:50ed:ffff:ffff:ffff:ffff:ffff:ffff |
| 239 | ff00:50ee::/32 | ff00:50ee:ffff:ffff:ffff:ffff:ffff:ffff |
| 240 | ff00:50ef::/32 | ff00:50ef:ffff:ffff:ffff:ffff:ffff:ffff |
| 241 | ff00:50f0::/32 | ff00:50f0:ffff:ffff:ffff:ffff:ffff:ffff |
| 242 | ff00:50f1::/32 | ff00:50f1:ffff:ffff:ffff:ffff:ffff:ffff |
| 243 | ff00:50f2::/32 | ff00:50f2:ffff:ffff:ffff:ffff:ffff:ffff |
| 244 | ff00:50f3::/32 | ff00:50f3:ffff:ffff:ffff:ffff:ffff:ffff |
| 245 | ff00:50f4::/32 | ff00:50f4:ffff:ffff:ffff:ffff:ffff:ffff |
| 246 | ff00:50f5::/32 | ff00:50f5:ffff:ffff:ffff:ffff:ffff:ffff |
| 247 | ff00:50f6::/32 | ff00:50f6:ffff:ffff:ffff:ffff:ffff:ffff |
| 248 | ff00:50f7::/32 | ff00:50f7:ffff:ffff:ffff:ffff:ffff:ffff |
| 249 | ff00:50f8::/32 | ff00:50f8:ffff:ffff:ffff:ffff:ffff:ffff |
| 250 | ff00:50f9::/32 | ff00:50f9:ffff:ffff:ffff:ffff:ffff:ffff |
| 251 | ff00:50fa::/32 | ff00:50fa:ffff:ffff:ffff:ffff:ffff:ffff |
| 252 | ff00:50fb::/32 | ff00:50fb:ffff:ffff:ffff:ffff:ffff:ffff |
| 253 | ff00:50fc::/32 | ff00:50fc:ffff:ffff:ffff:ffff:ffff:ffff |
| 254 | ff00:50fd::/32 | ff00:50fd:ffff:ffff:ffff:ffff:ffff:ffff |
| 255 | ff00:50fe::/32 | ff00:50fe:ffff:ffff:ffff:ffff:ffff:ffff |
| 256 | ff00:50ff::/32 | ff00:50ff:ffff:ffff:ffff:ffff:ffff:ffff |
IPv4 CIDR reference (/0 to /32)
| Prefix | Subnet mask | Wildcard | Addresses | Usable hosts | Size | Typical use |
|---|---|---|---|---|---|---|
| /0 | 0.0.0.0 | 255.255.255.255 | 4,294,967,296 | 4,294,967,294 | 16,777,216 × /24 | |
| /1 | 128.0.0.0 | 127.255.255.255 | 2,147,483,648 | 2,147,483,646 | 8,388,608 × /24 | |
| /2 | 192.0.0.0 | 63.255.255.255 | 1,073,741,824 | 1,073,741,822 | 4,194,304 × /24 | |
| /3 | 224.0.0.0 | 31.255.255.255 | 536,870,912 | 536,870,910 | 2,097,152 × /24 | |
| /4 | 240.0.0.0 | 15.255.255.255 | 268,435,456 | 268,435,454 | 1,048,576 × /24 | |
| /5 | 248.0.0.0 | 7.255.255.255 | 134,217,728 | 134,217,726 | 524,288 × /24 | |
| /6 | 252.0.0.0 | 3.255.255.255 | 67,108,864 | 67,108,862 | 262,144 × /24 | |
| /7 | 254.0.0.0 | 1.255.255.255 | 33,554,432 | 33,554,430 | 131,072 × /24 | |
| /8 | 255.0.0.0 | 0.255.255.255 | 16,777,216 | 16,777,214 | 65,536 × /24 | Old class A; 10.0.0.0/8 |
| /9 | 255.128.0.0 | 0.127.255.255 | 8,388,608 | 8,388,606 | 32,768 × /24 | |
| /10 | 255.192.0.0 | 0.63.255.255 | 4,194,304 | 4,194,302 | 16,384 × /24 | |
| /11 | 255.224.0.0 | 0.31.255.255 | 2,097,152 | 2,097,150 | 8,192 × /24 | |
| /12 | 255.240.0.0 | 0.15.255.255 | 1,048,576 | 1,048,574 | 4,096 × /24 | 172.16.0.0/12 |
| /13 | 255.248.0.0 | 0.7.255.255 | 524,288 | 524,286 | 2,048 × /24 | |
| /14 | 255.252.0.0 | 0.3.255.255 | 262,144 | 262,142 | 1,024 × /24 | |
| /15 | 255.254.0.0 | 0.1.255.255 | 131,072 | 131,070 | 512 × /24 | |
| /16 | 255.255.0.0 | 0.0.255.255 | 65,536 | 65,534 | 256 × /24 | Old class B; 192.168.0.0/16 |
| /17 | 255.255.128.0 | 0.0.127.255 | 32,768 | 32,766 | 128 × /24 | |
| /18 | 255.255.192.0 | 0.0.63.255 | 16,384 | 16,382 | 64 × /24 | |
| /19 | 255.255.224.0 | 0.0.31.255 | 8,192 | 8,190 | 32 × /24 | |
| /20 | 255.255.240.0 | 0.0.15.255 | 4,096 | 4,094 | 16 × /24 | |
| /21 | 255.255.248.0 | 0.0.7.255 | 2,048 | 2,046 | 8 × /24 | |
| /22 | 255.255.252.0 | 0.0.3.255 | 1,024 | 1,022 | 4 × /24 | Large office or guest Wi-Fi (1,022 hosts) |
| /23 | 255.255.254.0 | 0.0.1.255 | 512 | 510 | 2 × /24 | Larger office LAN (510 hosts) |
| /24 | 255.255.255.0 | 0.0.0.255 | 256 | 254 | 1 × /24 | Typical office LAN (old class C) |
| /25 | 255.255.255.128 | 0.0.0.127 | 128 | 126 | 1/2 of a /24 | Smaller LAN or VLAN |
| /26 | 255.255.255.192 | 0.0.0.63 | 64 | 62 | 1/4 of a /24 | Smaller LAN or VLAN |
| /27 | 255.255.255.224 | 0.0.0.31 | 32 | 30 | 1/8 of a /24 | Small VLAN, phones, cameras |
| /28 | 255.255.255.240 | 0.0.0.15 | 16 | 14 | 1/16 of a /24 | Small VLAN, phones, cameras |
| /29 | 255.255.255.248 | 0.0.0.7 | 8 | 6 | 1/32 of a /24 | Small fixed public block (5 usable) |
| /30 | 255.255.255.252 | 0.0.0.3 | 4 | 2 | 1/64 of a /24 | Point-to-point (old style) |
| /31 | 255.255.255.254 | 0.0.0.1 | 2 | 2 | 1/128 of a /24 | Point-to-point link (RFC 3021) |
| /32 | 255.255.255.255 | 0.0.0.0 | 1 | 1 | 1/256 of a /24 | One host |
IPv6 prefix reference
| Prefix | Addresses | /64 LANs | /48 sites | Nibble | Typical use |
|---|---|---|---|---|---|
| /3 | 42,535,295,865,117,307,932,921,825,928,971,026,432 (2^125) | 2,305,843,009,213,693,952 | 35,184,372,088,832 | No | All global unicast (2000::/3) |
| /16 | 5,192,296,858,534,827,628,530,496,329,220,096 (2^112) | 281,474,976,710,656 | 4,294,967,296 | Yes | |
| /20 | 324,518,553,658,426,726,783,156,020,576,256 (2^108) | 17,592,186,044,416 | 268,435,456 | Yes | Large provider allocation (RIPE minimum for some) |
| /29 | 633,825,300,114,114,700,748,351,602,688 (2^99) | 34,359,738,368 | 524,288 | No | RIPE allocation to a provider (often) |
| /32 | 79,228,162,514,264,337,593,543,950,336 (2^96) | 4,294,967,296 | 65,536 | Yes | Provider allocation (RIPE default) |
| /36 | 4,951,760,157,141,521,099,596,496,896 (2^92) | 268,435,456 | 4,096 | Yes | |
| /40 | 309,485,009,821,345,068,724,781,056 (2^88) | 16,777,216 | 256 | Yes | |
| /44 | 19,342,813,113,834,066,795,298,816 (2^84) | 1,048,576 | 16 | Yes | |
| /48 | 1,208,925,819,614,629,174,706,176 (2^80) | 65,536 | 1 | Yes | One site or organisation (RIPE PI / assignment) |
| /52 | 75,557,863,725,914,323,419,136 (2^76) | 4,096 | Yes | ||
| /56 | 4,722,366,482,869,645,213,696 (2^72) | 256 | Yes | Small site or home (common provider assignment) | |
| /60 | 295,147,905,179,352,825,856 (2^68) | 16 | Yes | Some home broadband (16 LANs) | |
| /64 | 18,446,744,073,709,551,616 (2^64) | 1 | Yes | One LAN or VLAN (needed for SLAAC) | |
| /72 | 72,057,594,037,927,936 (2^56) | 1/256 of a /64 | Yes | ||
| /80 | 281,474,976,710,656 (2^48) | 1/65,536 of a /64 | Yes | ||
| /96 | 4,294,967,296 | 1/4,294,967,296 of a /64 | Yes | Embeds an IPv4 address (NAT64) | |
| /112 | 65,536 | 1/281,474,976,710,656 of a /64 | Yes | ||
| /120 | 256 | 1/72,057,594,037,927,936 of a /64 | Yes | ||
| /124 | 16 | 1/1,152,921,504,606,846,976 of a /64 | Yes | ||
| /126 | 4 | 1/4,611,686,018,427,387,904 of a /64 | No | ||
| /127 | 2 | 1/9,223,372,036,854,775,808 of a /64 | No | Point-to-point link (RFC 6164) | |
| /128 | 1 | 1/18,446,744,073,709,551,616 of a /64 | Yes | One host or loopback |
Private and special ranges
IPv4
| Range | Name | What it is |
|---|---|---|
255.255.255.255/32 | Limited broadcast | Every host on the local network |
0.0.0.0/8 | This network | Not routed; 0.0.0.0 means "any address" in settings |
10.0.0.0/8 | Private (RFC 1918) | Office and home networks; not routed on the internet |
100.64.0.0/10 | Shared address space (CGNAT) | Used by providers behind carrier-grade NAT (RFC 6598) |
127.0.0.0/8 | Loopback | This computer |
169.254.0.0/16 | Link-local (APIPA) | Self-assigned when no DHCP server answers |
172.16.0.0/12 | Private (RFC 1918) | Office and home networks; not routed on the internet |
192.0.0.0/24 | IETF protocol assignments | Special uses such as DS-Lite |
192.0.2.0/24 | Documentation (TEST-NET-1) | For examples; never used on a network |
192.88.99.0/24 | 6to4 relay (deprecated) | Formerly anycast for 6to4 |
192.168.0.0/16 | Private (RFC 1918) | Office and home networks; not routed on the internet |
198.18.0.0/15 | Benchmarking | Network equipment testing (RFC 2544) |
198.51.100.0/24 | Documentation (TEST-NET-2) | For examples; never used on a network |
203.0.113.0/24 | Documentation (TEST-NET-3) | For examples; never used on a network |
224.0.0.0/4 | Multicast | One-to-many traffic, such as IPTV and routing protocols |
240.0.0.0/4 | Reserved | Future use; not usable on most systems |
IPv6
| Range | Name | What it is |
|---|---|---|
::/128 | Unspecified | No address; :: means "any address" in settings |
::1/128 | Loopback | This computer |
::ffff:0:0/96 | IPv4-mapped | An IPv4 address written as IPv6 |
64:ff9b::/96 | NAT64 | IPv4 addresses reached through a NAT64 gateway |
100::/64 | Discard only | Traffic sent here is dropped (RFC 6666) |
2001:db8::/32 | Documentation | For examples; never used on a network |
2001::/32 | Teredo | IPv6 tunnelled over IPv4 UDP |
2002::/16 | 6to4 | IPv6 tunnelled over IPv4 (largely retired) |
3fff::/20 | Documentation | For examples (RFC 9637) |
fc00::/7 | Unique local (ULA) | Private IPv6, like RFC 1918; usually fd00::/8 |
fe80::/10 | Link-local | Every IPv6 interface has one; not routed |
ff00::/8 | Multicast | One-to-many traffic; replaces broadcast |
2000::/3 | Global unicast | Public internet addresses |